Factunexo Docs
API RESTReferenciaWorkflowCatálogo

Listar ítems

GET
/api/v1/workflow/items

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Query Parameters

pageable*
search*

Response Body

application/json

curl -X GET "https://example.com/api/v1/workflow/items?page=0&size=1&sort=string&search=string&sortBy=string&sortDirection=ASC"
{  "requestId": "string",  "timestamp": "string",  "data": {    "content": [      {        "itemId": "f11b669d-7201-4c21-88af-d85092f0c005",        "parentItemId": "0db0f2a4-d9dd-4f3d-a355-3733f9fd31f7",        "variantCount": 0,        "code": "string",        "extraCode": "string",        "barcode": "string",        "barcodeType": "string",        "itemStructure": "string",        "name": "string",        "description": "string",        "imageUrl": "string",        "price": 0,        "ivaPercentage": 0,        "category": {          "itemCategoryId": "e6a7b947-7708-47b3-8db1-1ae6c7e04720",          "name": "string"        }      }    ],    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "last": true  }}